package hanson.xyz.vpnhotspotmod.util;

@kotlin.Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\u0000\u001a\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u0002\n\u0002\b\u0005\b\u0016\u0018\u0000*\u0004\b\u0000\u0010\u00012\u001a\u0012\u0004\u0012\u00020\u0003\u0012\u0010\u0012\u000e\u0012\u0004\u0012\u0002H\u0001\u0012\u0004\u0012\u00020\u00050\u00040\u0002B\u0005\u00a2\u0006\u0002\u0010\u0006J\u0016\u0010\u0007\u001a\u00020\u00052\u0006\u0010\b\u001a\u00028\u0000H\u0086\u0002\u00a2\u0006\u0002\u0010\t\u00a8\u0006\n"}, d2 = {"Lhanson/xyz/vpnhotspotmod/util/Event1;", "T", "Ljava/util/concurrent/ConcurrentHashMap;", "", "Lkotlin/Function1;", "", "()V", "invoke", "arg", "(Ljava/lang/Object;)V", "mobile_freedomDebug"})
public class Event1<T extends java.lang.Object> extends java.util.concurrent.ConcurrentHashMap<java.lang.Object, kotlin.jvm.functions.Function1<? super T, ? extends kotlin.Unit>> {
    
    public Event1() {
        super();
    }
    
    public final void invoke(T arg) {
    }
    
    @java.lang.Override
    public final boolean containsValue(java.lang.Object value) {
        return false;
    }
    
    @java.lang.Override
    public boolean containsValue(kotlin.jvm.functions.Function1<java.lang.Object, kotlin.Unit> value) {
        return false;
    }
    
    @java.lang.Override
    public final java.util.Set<java.util.Map.Entry<java.lang.Object, kotlin.jvm.functions.Function1<T, kotlin.Unit>>> entrySet() {
        return null;
    }
    
    @java.lang.Override
    public java.util.Set<java.util.Map.Entry<java.lang.Object, kotlin.jvm.functions.Function1<java.lang.Object, kotlin.Unit>>> getEntries() {
        return null;
    }
    
    @java.lang.Override
    public java.util.Set<java.lang.Object> getKeys() {
        return null;
    }
    
    @java.lang.Override
    public int getSize() {
        return 0;
    }
    
    @java.lang.Override
    public java.util.Collection<kotlin.jvm.functions.Function1<java.lang.Object, kotlin.Unit>> getValues() {
        return null;
    }
    
    @java.lang.Override
    public final java.util.Set<java.lang.Object> keySet() {
        return null;
    }
    
    @java.lang.Override
    public final boolean remove(java.lang.Object key, java.lang.Object value) {
        return false;
    }
    
    @java.lang.Override
    public boolean remove(java.lang.Object key, kotlin.jvm.functions.Function1<java.lang.Object, kotlin.Unit> value) {
        return false;
    }
    
    @java.lang.Override
    public final int size() {
        return 0;
    }
    
    @java.lang.Override
    public final java.util.Collection<kotlin.jvm.functions.Function1<T, kotlin.Unit>> values() {
        return null;
    }
}